aboutsummaryrefslogtreecommitdiffstats
path: root/bootstrap-verify-perf.sh
diff options
context:
space:
mode:
authorJan Gelety <jgelety@cisco.com>2017-09-25 14:41:13 +0200
committerJan Gelety <jgelety@cisco.com>2017-09-25 14:41:13 +0200
commitcefe08af5bd7ac810fe367bf25b11761d1c06928 (patch)
tree7b286b5c4e6b0486a4398a3be6b611b6ba54baa7 /bootstrap-verify-perf.sh
parentc9e827ea478fd713754103b03f144011b8543425 (diff)
Add memif to TEST_TAG cases
- implement possibility to manually triger memif perf tests in case of csit as well as vpp patch Change-Id: I6bec350a496ba138bcb8ffb8da01c81672187bac Signed-off-by: Jan Gelety <jgelety@cisco.com>
Diffstat (limited to 'bootstrap-verify-perf.sh')
-rwxr-xr-xbootstrap-verify-perf.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/bootstrap-verify-perf.sh b/bootstrap-verify-perf.sh
index e12c1951e3..2375539759 100755
--- a/bootstrap-verify-perf.sh
+++ b/bootstrap-verify-perf.sh
@@ -228,6 +228,14 @@ case "$TEST_TAG" in
tests/
RETURN_STATUS=$(echo $?)
;;
+ VERIFY-PERF-MEMIF )
+ pybot ${PYBOT_ARGS} \
+ -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
+ -s "tests.vpp.perf" \
+ --include ndrdiscANDnic_intel-x520-da2AND1t1cANDmemif \
+ tests/
+ RETURN_STATUS=$(echo $?)
+ ;;
VPP-VERIFY-PERF-IP4 )
pybot ${PYBOT_ARGS} \
-v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
@@ -276,6 +284,15 @@ case "$TEST_TAG" in
tests/
RETURN_STATUS=$(echo $?)
;;
+ VPP-VERIFY-PERF-MEMIF )
+ pybot ${PYBOT_ARGS} \
+ -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
+ -s "tests.vpp.perf" \
+ --include pdrdiscANDnic_intel-x520-da2AND1t1cANDmemif \
+ --include pdrdiscANDnic_intel-x520-da2AND2t2cANDmemif \
+ tests/
+ RETURN_STATUS=$(echo $?)
+ ;;
VPP-VERIFY-PERF-ACL )
pybot ${PYBOT_ARGS} \
-v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \